AMD Geode(TM) LX Processor/CS5535 Companion device Windows(R) XP Display Driver 
Release Notes 
Version 2.01.05, General Release
Release Date: May 17, 2005


--------------------------------------------------------------------------------
PRODUCT INFORMATION  
--------------------------------------------------------------------------------
This is the AMD Windows(R) XP display driver for systems based on the AMD 
Geode(TM) LX processor and the CS5535 companion device. It supports Microsoft(R) 
Windows(R) XP Professional with Service Pack 2.

This product includes: 
- gx_winxp.inf		Driver installation file for Windows XP setup
- gx_winxp.cat		Driver installation file for Windows XP setup
- gxm.sys		Miniport driver 
- gx.dll		Display driver 
- GX3DPApp.dll		Control panel display extension
- ReleaseNotes.txt	This file 


Features
--------
Supported CRT display modes (resolutions):
   640x480	 60 Hz	8, 16, and 32 bpp
   640x480	 70 Hz	8, 16, and 32 bpp
   640x480	 72 Hz	8, 16, and 32 bpp
   640x480	 75 Hz	8, 16, and 32 bpp
   640x480	 85 Hz	8, 16, and 32 bpp
   640x480	 90 Hz	8, 16, and 32 bpp
   640x480	100 Hz	8, 16, and 32 bpp
   800x600 	 60 Hz	8, 16, and 32 bpp
   800x600	 70 Hz	8, 16, and 32 bpp
   800x600 	 72 Hz 	8, 16, and 32 bpp
   800x600	 75 Hz	8, 16, and 32 bpp
   800x600	 85 Hz	8, 16, and 32 bpp
   800x600	 90 Hz	8, 16, and 32 bpp
   800x600	100 Hz	8, 16, and 32 bpp
   1024x768	 60 Hz	8, 16, and 32 bpp
   1024x768	 70 Hz	8, 16, and 32 bpp
   1024x768	 72 Hz	8, 16, and 32 bpp
   1024x768	 75 Hz	8, 16, and 32 bpp
   1024x768	 85 Hz	8, 16, and 32 bpp
   1024x768	 90 Hz	8, 16, and 32 bpp
   1024x768	100 Hz	8, 16, and 32 bpp
   1152x864	 60 Hz	8, 16, and 32 bpp
   1152x864	 70 Hz	8, 16, and 32 bpp
   1152x864	 72 Hz	8, 16, and 32 bpp
   1152x864	 75 Hz	8, 16, and 32 bpp
   1152x864	 85 Hz	8, 16, and 32 bpp
   1152x864	 90 Hz	8, 16, and 32 bpp
   1152x864	100 Hz	8, 16, and 32 bpp
   1280x1024	 60 Hz	8, 16, and 32 bpp
   1280x1024	 70 Hz	8, 16, and 32 bpp
   1280x1024	 72 Hz	8, 16, and 32 bpp
   1280x1024	 75 Hz	8, 16, and 32 bpp
   1280x1024	 85 Hz	8, 16, and 32 bpp
   1280x1024	 90 Hz	8, 16, and 32 bpp
   1280x1024	100 Hz	8, 16, and 32 bpp
   1600x1200	 60 Hz	8, 16, and 32 bpp
   1600x1200	 70 Hz	8, 16, and 32 bpp
   1600x1200	 72 Hz	8, 16, and 32 bpp
   1600x1200	 75 Hz	8, 16, and 32 bpp
   1600x1200	 85 Hz	8, 16, and 32 bpp
   1600x1200	 90 Hz	8, 16, and 32 bpp
   1600x1200	100 Hz	8, 16, and 32 bpp
   1920x1440	 60 Hz	8, 16, and 32 bpp
   1920x1440	 70 Hz	8, 16, and 32 bpp
   1920x1440	 72 Hz	8, 16, and 32 bpp
   1920x1440	 75 Hz	8, 16, and 32 bpp
   1920x1440	 85 Hz	8, 16, and 32 bpp

Supported TFT display sizes:
   640x480	 60 Hz
   800x600	 60 Hz
   1024x768	 60 Hz
   1152x864	 60 Hz (not tested)
   1280x1024	 60 Hz (not tested)
   1600x1200	 60 Hz

On any of these TFT sizes, the following modes are available:
   640x480	 60 Hz	8, 16, and 32 bpp
   800x600	 60 Hz	8, 16, and 32 bpp
   1024x768	 60 Hz	8, 16, and 32 bpp
   1152x864	 60 Hz	8, 16, and 32 bpp
   1280x1024	 60 Hz	8, 16, and 32 bpp
   1600x1200	 60 Hz	8, 16, and 32 bpp
   1920x1440	 60 Hz	8, 16, and 32 bpp


Dependencies 
------------
- Windows XP Professional with Service Pack 2
- AMD Geode LX processor, silicon revision C0
- AMD Geode LX processor/CS5535 GeodeROM v1.03.03 (or later)
- Cimarron v2.02.00


Functional Changes
------------------
- None (Initial release)


Defects Corrected 
-----------------
- None (Initial release)


Known Errata 
------------
Issue #3732: SP4GX30 (LX/CS5535 board) XP display driver fails WHQL HCT 
EDID 1.3 & DDC test
Description: The XP display driver fails the WHQL HCT EDID 1.3 & DDC test.
Resolution:  This issue appears to be related to the HCT suite and has been
escalated to Microsoft.


--------------------------------------------------------------------------------
VALIDATION ENVIRONMENT
--------------------------------------------------------------------------------
Validated on SP4GX30, R2 Rework I with:
- AMD Geode LX processor, silicon revision C0 @ 433 MHz
- AMD Geode CS5535 companion device, silicon revision A3
- 512 MB DDR RAM @ 333 MHz 
- PCI @ 66 MHz
- Windows XP w/ Service Pack 2 and all updates
- LX/CS5535 GeodeROM v1.03.03
- LX/CS5535 XP WDM Audio v2.01.04
- LX/CS5535 XP Graphics v2.01.05
- LX/CS5535 XP AES v2.00.03

--------------------------------------------------------------------------------
INSTALLATION INSTRUCTIONS  
--------------------------------------------------------------------------------
To install the driver: 

1.   Open the Control Panel (Start -> Settings -> Control Panel).
2.   Open the "System" applet.

3.   Go to the "Hardware" tab.
4.   Click the "Device Manager" button.
5.   If the "Display Adapters" category is available, expand it. Otherwise, 
     go to step 6b.

6a.  Right click the adapter and select "Properties."
7a.  Go to the "Driver" tab.
8a.  Click the "Update Driver" button. (Click the "Reinstall Driver" button if
     the "Update Driver" button is not seen.) The Update Driver Wizard window
     will open. Follow the Wizard.
9a.  Select the radio button
     "Install from a list or specific location (Advanced)." Click "Next."
10a. Select "Don't search. I will choose the driver to install." Click "Next."
     Go to step 11.

6b.  Expand "Other Devices."
7b.  Right click "Video Controller (VGA Compatible)" and select "Update
     Driver."
     This will open the Update Driver Wizard. Follow the Wizard.
8b.  Select the Radio button "Install from the list or specific location" and
     click "Next."
9b.  Select the Radio button "Don't search. I will choose the driver to
     install" and click "Next."
10b. Select "Display Adapters" and click "Next."

11.  Click the "Have Disk" button.
12.  Insert the floppy disk with the driver you built into the floppy drive.
13.  Type the location of the driver files (e.g. A:\ ).
14.  Click the "OK" button.
15.  Click the "Next" button on the Wizard.
16.  Click the "Continue anyway" button if Windows XP reports that the driver
     is not signed.
17.  Click "Finish" in the Wizard. Then, if Windows XP displays a dialog box
     asking if you wish to restart, click "Yes" (recommended). There is no
     need to continue with rest of these steps if you restart Windows.
18.  Close the "Properties" dialog box if it is open.
19.  Close the "Device Manager" applet.
20.  Close the "System" applet.
21.  Close the Control Panel.
22.  Restart Windows.


Control Panel Extension
-----------------------
A control panel extension is provided to configure certain parameters of 
the driver like Compression and DDC. The details of these parameters are:

Registry Settings
The driver behavior depends upon the way is been configured. Below are 
the registry settings that change the behavior of the driver.

Compression:
This option enables the driver to enable or disable compression. Lossless 
graphics compression is a hardware feature of the Geode processor.  
Display compression has three possible driver settings:
0 - Compression is always disabled.  No video memory will ever be 
    allocated to hold the compression buffer.
1 - Compression is enabled by default.  However, if the allocation
    of video memory for the compression buffer causes a display mode
    to require more memory than is available, compression is disabled.
2 - Compression is always enabled.  If the allocation of video memory for
    the compression buffer causes a mode to require more memory than is 
    available, that mode will not be available.
		   
LinearFB:
This option configures the memory layout for the active display data.  
The display compression hardware inside the Geode processor is most 
efficient if the space allocated for a single line of display data is  
equal to a power of two.  When the size of each line is 1K, 2K, 4K, or 8K,  
each line of the display is individually compressible.  However, this leads 
to wasted video memory.  For applications that require efficient memory, or 
for applications that flip the primary display (such as games), it is often 
more beneficial to allocate only the amount of space needed for the active 
display.  There are three possible settings for the driver:
0 - The size of each display line is always a power of 2.  If the amount of 
    memory needed for a display mode is larger than the available memory,  
    that mode is discarded.
1 - The size of each display line is a power of 2 by default.  However, if 
    the amount of memory required by a display mode is larger than available 
    memory, that mode uses a linear frame buffer to fit the mode.
2 - The frame buffer is always linear.  The display is compressible only as
    a whole, leading to less efficient compression.  However, all of video 
    memory is always be available.
	      
DDCEnabled:
This option enables the driver to query the monitor for the best-supported 
resolutions. This will be disabled automatically if a flat panel is detected.

BIOSDetectOutput:
This option enables the driver to query the BIOS for the appropriate output
format.  If this option is disabled, the user must manually select the output
device.  Also note that if this option is set and a panel is detected, the driver
will not touch any of the hardware panel timing registers.

PanelEnable:
This option is used to manually enable TFT output.  If "BIOSDetectOutput" is 
set to 0, this option will force the output to be a TFT panel.  PanelWidth and
PanelHeight MUST be set to a valid panel resolution.

TVEnable:
This option is used to manually enable VOP output.  It is currently unsupported.

SimultaneousCRT:
This option enables simultaneous CRT/panel output.  It is only used when 
"PanelEnable" is set to 1 and "BIOSDetectOutput" is set to 0.

PanelWidth:
This option is used to manually specify the width of the connected panel.

PanelHeight:
This option is used to manually specify the height of the connected panel.

TVWidth:
This option is used to manually specify the desired width of VOP output.  
It is currently unsupported.

TVHeight:
This option is used to manually specify the desired height of VOP output. 
It is currently unsupported.

TVInterlaced:
This option is used to specify that the VOP output is interlaced.  It is 
currently unsupported.

XVGAPanel:
This option specifies that the connected flat panel accepts 2 pixels per
clock.

DDC_GPIOData:
This option specifies the GPIO pin to which the DDC data line is wired on
the CS5535.

DDC_GPIOClock:
This option specifies the GPIO pin to which the DDC clock line is wired on
the CS5535.


--------------------------------------------------------------------------------
RELEASE HISTORY
--------------------------------------------------------------------------------
Previous Version: N/A (Initial Release)
Release Date: N/A (Initial Release)


Dependencies 
------------
- N/A (Initial Release)


Functional Changes
------------------
- N/A (Initial Release)


Defects Corrected 
-----------------
- N/A (Initial Release)


Known Errata 
------------
- N/A (Initial Release)


================================================================================
Copyright
---------
© 2005 Advanced Micro Devices, Inc. All rights reserved.
The contents of this document are provided in connection with Advanced Micro
Devices, Inc. ("AMD") products. AMD makes no representations or warranties with
respect to the accuracy or completeness of the contents of this publication and
reserves the right to make changes to specifications and product descriptions at
any time without notice. No license, whether express, implied, arising by estoppel
or otherwise, to any intellectual property rights is granted by this publication.
Except as set forth in AMD's Standard Terms and Conditions of Sale, AMD assumes no
liability whatsoever, and disclaims any express or implied warranty, relating to
its products including, but not limited to, the implied warranty of merchantability,
fitness for a particular purpose, or infringement of any intellectual property
right. AMD's products are not designed, intended, authorized or warranted for use as
components in systems intended for surgical implant into the body, or in other
applications intended to support or sustain life, or in any other application in
which the failure of AMD's product could create a situation where personal injury,
death, or severe property or environmental damage may occur. AMD reserves the right
to discontinue or make changes to its products at any time without notice.

Trademarks
----------
AMD, the AMD Arrow logo, and combinations thereof, and Geode are trademarks of
Advanced Micro Devices, Inc.

Microsoft and Windows are registered trademarks of Microsoft Corporation in the
United States and/or other jurisdictions.
 
Other product names used in this publication are for identification purposes only
and may be trademarks of their respective companies.
================================================================================
